Name:           nokicert
Version:        0.3.2
Release:        2%{?dist}
Summary:        Java X.509 certificate installation tool for Nokia phones

Group:          Applications/System
License:        GPLv3+
URL:            http://code.google.com/p/nokicert/
Source0:        http://nokicert.googlecode.com/files/nokicert-%{version}-src.zip
Source1:        nokicert
Source2:        nokicert-gui
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  ant
BuildRequires:  eclipse-swt
BuildRequires:  desktop-file-utils
BuildRequires:  bluecove
BuildRequires:  base64
Requires:       jpackage-utils
Requires:       bluecove
Requires:       java
Requires:       eclipse-swt
Requires:       base64

BuildArch:      noarch

%description
NokiCert makes it possible to install X.509 certificates on Nokia S40 
phones. It can install certificates for accessing SSL protected websites 
as well as for authenticating MIDlet suites to place them in the identified 
(trusted) third party domain. 

It uses a Bluetooth connection to the phone to install the certificates. 
Most S40 phones (assuming they have a certificate database) will work.

NokiCert is written in Java and runs on Windows, Mac OS X and Linux. 

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

%build
ant doc dist -Dversion=%{version} \
  -Dbluecove.jar=%{_javadir}/bluecove.jar \
  -Dswt.jar=%{_libdir}/java/swt.jar \
  -Dbase64.jar=%{_javadir}/base64.jar

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_javadir}

cp -p dist/%{name}-%{version}.jar   \
$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp -p %{SOURCE1} %{SOURCE2} ${RPM_BUILD_ROOT}%{_bindir}/
(cd $RPM_BUILD_ROOT%{_javadir}/ && ln -sf %{name}-%{version}.jar %{name}.jar)

# point classpath to correct libdir (based on arch building for)
sed -i 's|@LIBDIR@|%{_libdir}|g' ${RPM_BUILD_ROOT}%{_bindir}/%{name}
sed -i 's|@LIBDIR@|%{_libdir}|g' ${RPM_BUILD_ROOT}%{_bindir}/%{name}-gui
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/scalable/apps
cp -p misc/%{name}.svg ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp api  \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}


desktop-file-install                                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
misc/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
# update icon cache
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
# update icon cache
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files
%defattr(-,root,root,-)
%{_javadir}/*
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/*/*/apps/*

%doc COPYING.LESSER COPYING docs/*

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}

%changelog
* Wed Jun 09 2010 François Kooman <fkooman@tuxed.net> - 0.3.2-2
- fix nokicert and nokicert-gui launch scripts to not add
  gjokii to the build path as it is no longer there

* Sat Feb 20 2010 François Kooman <fkooman@tuxed.net> - 0.3.2-1
- update to 0.3.2
- add requirement for base64 Java library

* Wed Feb 10 2010 François Kooman <fkooman@tuxed.net> - 0.3.0-1
- initial Fedora package

